server:
  applicationConnectors:
    - type: http
      port: 8080
      bindHost: localhost
      maxRequestHeaderSize: 16KiB
  adminConnectors:
    - type: http
      port: 8081
      bindHost: localhost
  rootPath: /api/v1
  requestLog:
    appenders:
    - type: console
    - type: file
      threshold: DEBUG
      currentLogFilename: ${log_dir!'/tmp'}/config-service-requestlog.log
      archivedLogFilenamePattern: ${log_dir!'/tmp'}/config-service-requestlog-%d{yyyy-MM-dd}-%i.log.gz
      archivedFileCount: 7
      timeZone: system
      maxFileSize: 10MiB

hostName: localhost

security:
  webappPropFileDirPath : "."
  webappPropFileName : webapp.properties # File for security related configs.

logging:
  level: INFO
  appenders:
    - type: console
      logFormat: "%d{HH:mm:ss.SSS} [%thread] %-7level %logger{36} - %msg%n"
    - type: file
      threshold: INFO
      logFormat: "%d{HH:mm:ss.SSS} [%thread] %-7level %logger{36} - %msg%n"
      currentLogFilename: ${log_dir!'/tmp'}/config-service.log
      archivedLogFilenamePattern: ${log_dir!'/tmp'}/config-service-%d{yyyy-MM-dd}-%i.log.gz
      archivedFileCount: 7
      timeZone: system
      maxFileSize: 10MiB

dbConfig:
    dbType: H2
    driver: org.h2.Driver
    url: jdbc:h2:~/config-service;DB_CLOSE_DELAY=-1;AUTO_RECONNECT=TRUE;DB_CLOSE_ON_EXIT=FALSE
    username: sa
    password: admin

